Alternative CSS for webclient - Defect #821

Sub-menus don't show in IE9.
09/12/2014 12:56 AM - Corey Puffalt
Description
We discovered an issue when using v2.1 of the alternative style sheet where sub-menus don't appear when running in IE9.

History

#1 - 09/12/2014 09:04 AM - Harjo Kompagnie

You can confirm, that if you remove the alternative CSS, the submenu's DO appear under IE9?
Do they appear under Firefox? Chrome?

and please add a small sample-solution, so we can test!

#2 - 09/12/2014 09:04 AM - Harjo Kompagnie

- Status changed from New to Feedback

#3 - 09/12/2014 05:03 PM - Corey Puffalt

- File MissingSubmenusIE.servoy added

Yes, we tested without alternative CSS and submenu's work fine in Servoy v6.1.6 & 7.4.1. When we turn on the alternative CSS then it breaks. This
is trivially reproducible (I'm attaching a solution exported from Servoy v7.4.1).

The following browsers have been tested:

- IE8 (broken)

- IE9 (broken)

- IE10 (works)

- IE11 (works)

- Firefox 24 (ESR)+ (works)

- Google Chrome 37+ (works)

Removing the IE-specific gradient filter from the .yuimenu class fixes the issue but I'm not sure if that causes regressions elsewhere.
#4 - 09/15/2014 09:39 AM - Harjo Kompagnie

- Status changed from Feedback to Closed

| have investigated this, and this is some kind of bug, in IE8 and 9, where you can't use filter two times on the same class. (a submenu has the same
class as the main-menu)

Just remove the line: filter: progid: etc... in the .yuimenu class and you should be fine.

#5 - 09/15/2014 04:45 PM - Corey Puffalt

Will there be a new release with this fix applied?

#6 - 09/17/2014 08:22 AM - Harjo Kompagnie
| just uploaded 2.2 with this fix!

#7 - 09/19/2014 11:34 PM - Corey Puffalt

Thanks a lot Harjo.
MissingSubmenusIE.servoy 4.39 KB 09/12/2014 Corey Puffalt
